Package org.eclipse.birt.report.engine.content

# Interface IDataContent

All Superinterfaces:
  `org.eclipse.birt.report.engine.css.engine.CSSStylableElement`, `IContent`, `IElement`, `IStyledElement`, `ITextContent`

public interface IDataContent extends ITextContent
Provides the interface for the Data Content.

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.content.IContent

`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, REPORT_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHelpKey()`
Get the help key of the data content.
`String`
`getHelpText()`
Get the help text of the data content.
`String`
`getLabelKey()`
Get the label key of the data content.
`String`
`getLabelText()`
Get the label text of the data content.
`Object`
`getValue()`
Get the value of the data content.
`void`
`setLabelKey(String key)`
Set the label key of the data content.
`void`
`setLabelText(String text)`
Set the label text of the data content.
`void`
`setValue(Object value)`
Set the value of the data content.

### Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement

`getComputedStyle, getCSSEngine, getStyle`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IContent

`accept, cloneContent, getACL, getAltText, getAltTextKey, getBookmark, getContentType, getExtension, getExtensions, getGenerateBy, getHeight, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTagType, getTOC, getUserProperties, getWidth, getX, getY, hasChildren, isDirectionRTL, isLastChild, isRTL, readContent, setACL, setAltText, setAltTextKey, setBookmark, setExtension, setExtensions, setGenerateBy, setHasChildren, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setLastChild, setName, setReportContent, setTagType, setTOC, setUserProperties, setWidth, setX, setY, writeContent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IElement

`getChildren, getParent, setParent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement

`getComputedStyle, getStyle, getStyleClass, setStyleClass`

### Methods inherited from interface org.eclipse.birt.report.engine.content.ITextContent

`getText, setText`

## Method Details

### getHelpText

String getHelpText()
Get the help text of the data content.

Specified by:
  `getHelpText` in interface `IContent`
Returns:
  the help text.

### getHelpKey

String getHelpKey()
Get the help key of the data content.

Returns:
  the help key.

### setValue

void setValue(Object value)
Set the value of the data content.

Parameters:
  `value` - the value of the data content.

### getValue

Object getValue()
Get the value of the data content.

Returns:
  the value of the data content.

### getLabelText

String getLabelText()
Get the label text of the data content.

Returns:
  the label text of the data content.

### getLabelKey

String getLabelKey()
Get the label key of the data content.

Returns:
  the label key of the data content.

### setLabelText

void setLabelText(String text)
Set the label text of the data content.

Parameters:
  `text` - the label text of the data content.

### setLabelKey

void setLabelKey(String key)
Set the label key of the data content.

Parameters:
  `key` - the label key of the data content.